# OBJ - timestamped JSON objects
#
# obj/fleet/cmds.py
#
# Copyright 2017,2018 B.H.J Thate
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy 
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights 
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
# copies of the Software, and to permit persons to whom the Software is 
# furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice don't have to be included.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN 
# THE SOFTWARE.
#
# 06-04-2018 As the creator of this file, I disclaim all rights on this file. 
#
# Bart Thate
# Heerhugowaard
# The Netherlands

""" commands module. """

## imports

from obj.decorator import oper
from obj.fleet import Fleet

## vars

_fleet = Fleet()

## cmds

@oper
def announce(event):
    """ anounce text on all channels on all bots in the fleet. """
    for bot in _fleet._bots:
        bot.announce(event._parsed.rest)

def fleet(event):
    """ show fleet dump. """
    event.reply(_fleet)

def loud(event):
    bot = _fleet.get_bot(event._id)
    if bot:
        bot.cfg.silent = False
        bot.cfg.save()
        event.reply("ok loud")

def silent(event):
    bot = _fleet.get_bot(event._id)
    if bot:
        bot.cfg.silent = True
        bot.cfg.save()
        event.reply("ok silent")
